commit: 60687094052f6401808b6931746a4201957c2156
Author: Mike Frysinger <vapier <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 24 17:30:12 2015 +0000
Commit: Mike Frysinger <vapier <AT> gentoo <DOT> org>
CommitDate: Tue Nov 24 17:30:12 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=60687094
sys-libs/ncurses: use the same has_version test #566008
The previous commit f5b7039a9bc8c63240340b947c80393e92e21afe added the
:0 slot qualifier to the first has_version test but not to the second.
This breaks when building ncurses-6.0:0 on a system that has SLOT=5
already installed.
sys-libs/ncurses/ncurses-6.0-r1.ebuild | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/sys-libs/ncurses/ncurses-6.0-r1.ebuild
b/sys-libs/ncurses/ncurses-6.0-r1.ebuild
index 9b56138..47c80c4 100644
--- a/sys-libs/ncurses/ncurses-6.0-r1.ebuild
+++ b/sys-libs/ncurses/ncurses-6.0-r1.ebuild
@@ -188,7 +188,7 @@ do_configure() {
src_compile() {
# See comments in src_configure.
- if ! ROOT=/ has_version "~sys-libs/${P}" ; then
+ if ! ROOT=/ has_version "~sys-libs/${P}:0" ; then
BUILD_DIR="${WORKDIR}" \
do_compile cross -C progs tic
fi